FROM phpdockerio/php74-fpm:latest
WORKDIR "/application"

# Fix debconf warnings upon build
ARG DEBIAN_FRONTEND=noninteractive

# Install selected extensions and other stuff
RUN apt-get update \
    && apt-get -y --no-install-recommends install  php7.4-mysql php7.4-sqlite php-redis php7.4-intl imagemagick php7.4-imagick locales \
    sqlite3 libsqlite3-dev \
    && apt-get clean; rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/* /usr/share/doc/*

RUN echo "de_CH UTF-8" > /etc/locale.gen
RUN locale-gen de_CH.UTF-8 && export LC_ALL=de_CH.UTF-8

RUN usermod -u 1000 www-data
